%define		pkg	ini
Summary:	An INI parser/serializer for node.js
Name:		nodejs-%{pkg}
Version:	1.2.0
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	6e480ceb6d955cdafc99073d37ebf2f8
URL:		https://github.com/isaacs/ini
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An INI file parser and serializer for node.js.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -p %{pkg}.js package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

# We currently don't run tests because I'd have to file another ten or
# so review reuqests for the node.js TAP testing framework and methinks there
# are enough of those for now.  ;-)
##%%check
##tap test/*.js

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/%{pkg}
%changelog
* Sun Jan 10 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-ini.git;a=log;h=master

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 412957c
- up to 1.2.0

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> 1dada33
- Package package.json too

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> f12ab55
- v1.1.0

* Sun Dec 02 2012 Aria Stewart <aredridel@nbtsc.org> 0b45013
- Update to 1.0.5

* Wed Jan 25 2012 Elan Ruusamäe <glen@pld-linux.org> cbc7ac8
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo

